Update attribute mapper
Update an attribute mapper config’s name, rules, or flags. Requires the developer role.
PATCH
/v1/projects/{projectId}/attribute-mappers/{configId}Authorization
AuthorizationPersonal API key · headerrequiredYour personal API key from Settings > Personal API Keys, sent as Bearer <key>.
X-Organization-IdOrganization ID · headerrequiredThe organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.
Path parameters
projectIdstringrequiredconfigIdstring<uuid>requiredThe attribute mapper config ID
matches ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Request body
requiredapplication/jsonnamestringrulesobject[]Show propertiesHide properties
Array of
objectsource_keystringrequiredThe incoming span attribute key to read
target_keystringrequiredThe Judgment attribute key to write to (must be a valid judgment.* key unless you are a Judgment admin)
enabledbooleanoverridebooleanremove_sourcebooleanResponses
200
Response for status 200
mapperobjectrequiredShow propertiesHide properties
idstringrequiredorganization_idstringrequiredproject_idstring | nullrequirednamestringrequiredenabledbooleanrequiredoverridebooleanrequiredremove_sourcebooleanrequiredrulesobject[]requiredShow propertiesHide properties
Array of
objectsource_keystringrequiredtarget_keystringrequiredcreated_atstring | nullrequiredupdated_atstring | nullrequired